package com.iamberry.wechat.core.entity.coupon;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  活动表类
 * @author Administrator
 * @Date 2018-11-30
 */
public class SalesActivities  implements  Serializable{
    private static final long serialVersionUID = -1805627646456909837L;
    //id
    private Integer salesActivitiesId;
    //名称
    private String salesActivitiesName;
    //类型 1:双十二
    private Integer salesActivitiesType;
    //满足金额
    private Integer salesActivitiesFull;
    //减去金额
    private Integer salesActivitiesReduction;
    //状态1:使用 2停用
    private Integer salesActivitiesStatus;
    //是否为全场 1:全场
    private Integer salesActivitiesScenes;
    //活动开始时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date salesActivitiesBeginTime;
    //活动结束时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date salesActivitiesEndTime;
    //创建时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date salesActivitiesCreateTime;
    //修改时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date salesActivitiesUpdateTime;

    public Integer getSalesActivitiesId(){
        return salesActivitiesId;
    }

    public void setSalesActivitiesId(Integer  salesActivitiesId){
        this.salesActivitiesId=salesActivitiesId;
    }

    public String getSalesActivitiesName(){
        return salesActivitiesName;
    }

    public void setSalesActivitiesName(String  salesActivitiesName){
        this.salesActivitiesName=salesActivitiesName;
    }

    public Integer getSalesActivitiesType(){
        return salesActivitiesType;
    }

    public void setSalesActivitiesType(Integer  salesActivitiesType){
        this.salesActivitiesType=salesActivitiesType;
    }

    public Integer getSalesActivitiesFull(){
        return salesActivitiesFull;
    }

    public void setSalesActivitiesFull(Integer  salesActivitiesFull){
        this.salesActivitiesFull=salesActivitiesFull;
    }

    public Integer getSalesActivitiesReduction(){
        return salesActivitiesReduction;
    }

    public void setSalesActivitiesReduction(Integer  salesActivitiesReduction){
        this.salesActivitiesReduction=salesActivitiesReduction;
    }

    public Integer getSalesActivitiesStatus(){
        return salesActivitiesStatus;
    }

    public void setSalesActivitiesStatus(Integer  salesActivitiesStatus){
        this.salesActivitiesStatus=salesActivitiesStatus;
    }

    public Integer getSalesActivitiesScenes(){
        return salesActivitiesScenes;
    }

    public void setSalesActivitiesScenes(Integer  salesActivitiesScenes){
        this.salesActivitiesScenes=salesActivitiesScenes;
    }

    public Date getSalesActivitiesBeginTime(){
        return salesActivitiesBeginTime;
    }

    public void setSalesActivitiesBeginTime(Date  salesActivitiesBeginTime){
        this.salesActivitiesBeginTime=salesActivitiesBeginTime;
    }

    public Date getSalesActivitiesEndTime(){
        return salesActivitiesEndTime;
    }

    public void setSalesActivitiesEndTime(Date  salesActivitiesEndTime){
        this.salesActivitiesEndTime=salesActivitiesEndTime;
    }

    public Date getSalesActivitiesCreateTime(){
        return salesActivitiesCreateTime;
    }

    public void setSalesActivitiesCreateTime(Date  salesActivitiesCreateTime){
        this.salesActivitiesCreateTime=salesActivitiesCreateTime;
    }

    public Date getSalesActivitiesUpdateTime(){
        return salesActivitiesUpdateTime;
    }

    public void setSalesActivitiesUpdateTime(Date  salesActivitiesUpdateTime){
        this.salesActivitiesUpdateTime=salesActivitiesUpdateTime;
    }
}